org.apache.cassandra.utils

## Interface BatchRemoveIterator<T>

- All Superinterfaces:
    java.util.Iterator<T>

      public interface BatchRemoveIterator<T>
      extends java.util.Iterator<T>

  Iterator that allows us to more efficiently remove many items

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()` Commits the remove operations in this batch iterator.

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Method Detail

    - #### commit

          void commit()

      Commits the remove operations in this batch iterator. After this no more deletes can be made. Any further calls to remove() or commit() will throw IllegalStateException.

Copyright © 2018 The Apache Software Foundation